# 安装MariaDB
## 删除旧版本

centos7下默认安装有mariadb数据库，但是是旧版本，在安装新版本前需要先把旧版本删除，有些系统还默认安装mysql，也必须删除，否则与mariadb会产生冲突.

```
[root@localhost ~] rpm -qa | grep mariadb
```
## 创建 MariaDB.repo

在目录下 /etc/yum.repos.d/ 创建文件： MariaDB.repo

并把以下内容添加到所建文件中
用阿里源，内容如下：

```
[mariadb]
name = MariaDB
baseurl = http://mirrors.aliyun.com/mariadb/yum/10.4/centos7-amd64/
gpgkey =  http://mirrors.aliyun.com/mariadb/yum/RPM-GPG-KEY-MariaDB
gpgcheck = 1
```

## 安装
使用yum命令安装MariaDB数据库。

```
[root@localhost ~] yum install MariaDB-client MariaDB-server
```

## MariaDB服务配置命令

```
systemctl start mariadb #启动服务
systemctl enable mariadb #设置开机启动
systemctl restart mariadb #重新启动
systemctl stop mariadb.service #停止MariaDB
```

## 初始化MariaDB


https://blog.csdn.net/weixin_43731793/article/details/93378399